{% extends 'base.html.twig' %}

{% block title %}S'inscrire{% endblock %}

{% block body %}
<main class="container-center bg-gray-50 py-12 px-4 sm:px-6 lg:px-8">
  <div class="max-w-lg w-full">
    <div>
      <h2 class="mt-6 text-center text-3xl leading-9 font-extrabold text-gray-900">
        Inscrivez-vous
      </h2>
      <p class="mt-2 text-center text-sm leading-5 text-gray-600 max-w">
        Ou
        <a href="{{ path('app_login') }}" class="font-medium text-indigo-600 hover:text-indigo-500 focus:outline-none focus:underline hover:underline transition ease-in-out duration-150"> connectez-vous ici</a>
      </p>
    </div>
    <form class="mt-8 register-form" action="#" method="POST">
      <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

      <div class="rounded-md shadow-sm">
        <div class="grid grid-cols-2 gap-4 my-5">
          <div>
            <label for="form__name" class="mb-1 block text-md leading-5 font-medium text-gray-700">Nom</label>
            <input aria-label="Nom" id="form__name" name="name" type="text" required autofocus class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-900 rounded-md focus:outline-none focus:shadow-outline-blue focus:border-blue-300 focus:z-10 sm:text-sm sm:leading-5" placeholder="Nom" />
          </div>
          <div>
            <label for="form__surname" class="mb-1 block text-md leading-5 font-medium text-gray-700">Prénom</label>
            <input aria-label="Prénom" id="form__surname" name="surname" type="text" required class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-900 rounded-md focus:outline-none focus:shadow-outline-blue focus:border-blue-300 focus:z-10 sm:text-sm sm:leading-5" placeholder="Prénom" />
          </div>
        </div>
        <div class="gap-4 my-5">
          <label for="phone" class="mb-1 block text-md leading-5 font-medium text-gray-700">Numéro de téléphone</label>
          <input aria-label="Numéro de téléphone" name="phone" id="phone" type="tel" maxlength="10" pattern="0[1-9][0-9]{8}" required class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-900 rounded-t-md focus:outline-none focus:shadow-outline-blue focus:border-blue-300 focus:z-10 sm:text-sm sm:leading-5" placeholder="Numéro de téléphone" />
        </div>
        <div class="gap-4 my-5">
          <label for="form__email" class="mb-1 block text-md leading-5 font-medium text-gray-700">Adresse email</label>
          <input aria-label="Adresse mail" id="form__email" name="email" type="email" required class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-900 rounded-md focus:outline-none focus:shadow-outline-blue focus:border-blue-300 focus:z-10 sm:text-sm sm:leading-5" placeholder="Adresse mail" />
        </div>
        <div class="-mt-px relative">
          <label for="form__password" class="mb-1 block text-md leading-5 font-medium text-gray-700">Mot de passe</label>
          <input id="form__password" aria-label="Mot de passe" name="password" type="password" required class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-900 rounded-md focus:outline-none focus:shadow-outline-blue focus:border-blue-300 focus:z-10 sm:text-sm sm:leading-5" placeholder="Mot de passe" />
          <div id="pswd_info">
            <h4>Le mot de passe doit remplir les conditions suivantes:</h4>
            <ul>
              <li id="letter" class="invalid">Au minimum une lettre minuscule</li>
              <li id="number" class="invalid">Au minimum un nombre</li>
              <li id="capital" class="invalid">Au minimum une lettre majuscule</li>
              <li id="length" class="invalid">Faire au moins 8 caractères</li>
            </ul>
          </div>
        </div>
      </div>

      <div class="mt-6">
        <button type="submit" class="group relative w-full flex justify-center py-2 px-4 border border-transparent text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
          <span class="absolute left-0 inset-y pl-3">
            <svg class="h-5 w-5 text-indigo-500 group-hover:text-indigo-400 transition ease-in-out duration-150" fill="currentColor" viewBox="0 0 20 20">
              <path fill-rule="evenodd" d="M5 9V7a5 5 0 0110 0v2a2 2 0 012 2v5a2 2 0 01-2 2H5a2 2 0 01-2-2v-5a2 2 0 012-2zm8-2v2H7V7a3 3 0 016 0z" clip-rule="evenodd" />
            </svg>
          </span>
          S'inscrire
        </button>
      </div>
    </form>
  </div>
</main>

{% endblock %}
